org.apache.struts2.interceptor

## Class MultiselectInterceptor

- java.lang.Object
- - org.apache.struts2.interceptor.AbstractInterceptor
  - - com.opensymphony.xwork2.interceptor.AbstractInterceptor
    - - org.apache.struts2.interceptor.MultiselectInterceptor

- All Implemented Interfaces:
    Serializable, ConditionalInterceptor, Interceptor

      public class MultiselectInterceptor
      extends AbstractInterceptor

  Just as the CheckboxInterceptor checks that if only the hidden field is present, so too does this interceptor. If the "__multiselect_" request parameter is present and its visible counterpart is not, set a new request parameter to an empty String.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.opensymphony.xwork2.interceptor.ConditionalInterceptor

      `ConditionalInterceptor.LegacyAdapter`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MultiselectInterceptor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `intercept(ActionInvocation ai)` Just as the CheckboxInterceptor checks that if only the hidden field is present, so too does this interceptor.

    - ### Methods inherited from class com.opensymphony.xwork2.interceptor.AbstractInterceptor

      `intercept, shouldIntercept, shouldIntercept`

    - ### Methods inherited from class org.apache.struts2.interceptor.AbstractInterceptor

      `destroy, init, setDisabled`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.opensymphony.xwork2.interceptor.ConditionalInterceptor

      `adapt`

    - ### Methods inherited from interface com.opensymphony.xwork2.interceptor.Interceptor

      `adapt`

    - ### Methods inherited from interface org.apache.struts2.interceptor.Interceptor

      `destroy, init`

- - ### Constructor Detail

    - #### MultiselectInterceptor

          public MultiselectInterceptor()

  - ### Method Detail

    - #### intercept

          public String intercept(ActionInvocation ai)
                           throws Exception

      Just as the CheckboxInterceptor checks that if only the hidden field is present, so too does this interceptor. If the "__multiselect_" request parameter is present and its visible counterpart is not, set a new request parameter to an empty String.
      Specified by:
        `intercept` in class `AbstractInterceptor`
      Parameters:
        `ai` - ActionInvocation
      Returns:
        the result of the action
      Throws:
        `Exception` - if error
      See Also:
        `Interceptor.intercept(com.opensymphony.xwork2.ActionInvocation)`

Copyright © 2000–2024 Apache Software Foundation. All rights reserved.